all: 
	make progs

progs:
	-cd src ; make

check:
	cd src ; make check
	cd Test ; make

clean:
	-rm  *.x
	-cd src ; make clean
	-cd Test ; make clean

pclean:
	-cd Programs ; rm */*.bc ; rm */*.sch
	-cd Scripts ; rm -r logs

vclean:
	- make clean
	- make pclean
	- cd Documentation ; make clean


format:
	find . -type d -name googletest -prune -o -type f -regex '.*\.\(cpp\|h\|cc\|cxx\)' -exec clang-format -style=Google -i {} \;
